Subject: Re: bug#39082: Inconsolata v3.000 has too wide spacing

From: Andrea Greselin <[email-masked]>
Date: Mon, 13 Jan 2020 17:56:20 +0100

I've never built Emacs before (nor any other non-trivial program for that
matter). If you can instruct me on doing that I will try, otherwise I don't
have time to learn by myself now, I'm sorry.

Andrea

On Mon, 13 Jan 2020 at 17:43, Robert Pluim <[email-masked]> wrote:

> >>>>> On Mon, 13 Jan 2020 18:18:50 +0200, Eli Zaretskii <[email-masked]>
> said:
>
>     >> From: Robert Pluim <[email-masked]>
>     >> Cc: Andrea Greselin <[email-masked]>,
> [email-masked]
>     >> Date: Mon, 13 Jan 2020 10:27:32 +0100
>     >>
>     Eli> So the question now becomes how come we get such a large value.
> Looks
>     Eli> like we somehow use the space-width value instead of the character
>     Eli> glyph's width, not sure why.  I guess stepping through the code
> I've
>     Eli> shown from xdisp.c is still necessary to understand this.
>     >>
>     >> I can reproduce this, but I donʼt know how much effort we should
> spend
>     >> getting to the bottom of it: a Cairo-enabled build (ie !XFT) does
> not
>     >> have this problem.
>
>     Eli> So I guess this is some kind of Xft bug?  In that case, I think it
>     Eli> would be enough to describe the Cairo workaround in etc/PROBLEMS,
> and
>     Eli> close the bug with that.
>
> Itʼs either a bug or a limitation in the Xft interface. I see the
> width of characters coming back from XftGlyphExtents as 26, with all
> the other metrics as 0, so I donʼt think thereʼs much we can do.
>
> Andrea, does building emacs-27 configure '--with-cairo' fix this for
> you?
>
> Robert
>